<div class="card">

  <div class="card-header d-flex justify-content-between">
    <h5 class="card-title mb-0">{{'NOUVEAU_COMPTE.TITLE'|translate}}</h5>
  </div>

  <div class="card-body p-2">

    <div class="mt-4">

        <!-- wizard icons -->
        <ul id="top-tab-list" class="p-0">
            <li *ngFor="let step of steps" [ngClass]="{'active': currentStep?.id === step.id, 'done': currentStep?.id > step.id}">
                <a class="text-center" (click)="onChangeStep(step.id)">
                    <i *ngIf="step.id === 1" class="ri-contacts-line"></i>
                    <i *ngIf="step.id === 2" class="ri-lightbulb-flash-line"></i>
                    <i *ngIf="step.id === 3" class="ri-contacts-book-line"></i>
                    <i *ngIf="step.id === 4" class="ri-file-copy-2-line"></i>
                    <i *ngIf="step.id === 5" class="ri-check-line"></i>
                    <div>{{step.label | translate}}</div>
                </a>
            </li>
        </ul>
        <!-- end wizard icons -->

        <!-- step title -->
        <div class="row">
            <div class="col-7">
                <!-- <h3 class="text-left">
                    {{currentStep?.label}}
                </h3> -->
            </div>
            <div class="col-5">
                <h3 class="steps">{{'NOUVEAU_COMPTE.STEPS.TITLE' | translate}} {{currentStep?.id}} - {{steps?.length}}</h3>
            </div>
        </div>
        <!-- end step title -->

        <!-- general-informations & identity-information -->
        <!-- <fieldset [hidden]="currentStep?.id !== 1">

            <div class="row">
                <div class="col-md-4">
                    <label class="col-form-label">{{'NOUVEAU_COMPTE.TYPE_COMPTE'|translate}}</label>
                    <select class="form-control form-control-sm" name="selectedAccountType" [(ngModel)]="selectedAccountType">
                    <option *ngFor="let accountType of accountTypeList" [value]="accountType.code">{{accountType.label | translate}}</option>
                    </select>
                </div>
            </div>

            <div class="mt-2">
                <app-general-informations-form [mode]="'ADD'" [accountInfo]="{accountType: selectedAccountType}"></app-general-informations-form>
            </div>

            <div class="mt-2">
                <app-identity-information-form [mode]="'ADD'" [accountInfo]="{accountType: selectedAccountType}"></app-identity-information-form>
            </div>

        </fieldset> -->
        <!-- end general-informations & identity-information -->

        <!-- activities -->
        <!-- <fieldset [hidden]="currentStep?.id !== 2">
          <div>
            <app-activities-form [mode]="'ADD'" [accountInfo]="{accountType: selectedAccountType}"></app-activities-form>
          </div>
        </fieldset> -->
       <!-- end activities -->

        <!-- contacts -->
        <fieldset [hidden]="currentStep?.id !== 3">

            <div class="card">

                <div class="card-header d-flex justify-content-between">
                    <h5 class="card-title mb-0">{{'NOUVEAU_COMPTE.COMPTE_CONTACT.TITLE'|translate}}</h5>
                </div>

                <div class="card-body p-2">

                    <div class="text-left">
                        <button class="btn btn-primary btn-sm mr-2" (click)="onNewContact();">{{'NOUVEAU_COMPTE.COMPTE_CONTACT.CREATE'|translate}}</button>

                        <button class="btn btn-primary btn-sm" (click)="onAddContact();">{{'NOUVEAU_COMPTE.COMPTE_CONTACT.SELECT'|translate}}</button>
                    </div>

                    <table class="table table-sm mb-0 mt-2" [class.table-hover]="selectedContacts && selectedContacts.length > 0">
                        <thead>
                            <tr>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.CODE'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.NOM'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.PRENOM'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.MOBILE'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.EMAIL'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.POSTAL'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.VILLE'|translate}}</th>
                                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.ACTION'|translate}}</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let contact of selectedContacts">
                              <td>{{contact.code}}</td>
                              <td>{{contact['nom']}}</td>
                              <td>{{contact['prenom']}}</td>
                              <td>{{contact.mobile1}}</td>
                              <td>{{contact.email}}</td>
                              <td>{{contact.codePostale}}</td>
                              <td>{{contact.ville}}</td>
                              <td class="text-danger">
                                <button class="btn btn-primary btn-sm btn-action-table mr-2" [title]="'FIELD.BUTTONS.VIEW'|translate" (click)="onViewEditContact(contact, true)">
                                  <em class="fa fa-list"></em>
                                </button>
                                <button class="btn btn-primary btn-sm btn-action-table mr-2" [title]="'FIELD.BUTTONS.EDIT'|translate" (click)="onViewEditContact(contact, false)">
                                  <em class="fa fa-edit"></em>
                                </button>
                                <button class="btn btn-danger btn-sm btn-action-table" [title]="'FIELD.BUTTONS.DELETE'|translate" (click)="onRemoveContact(contact?.code)">
                                  <em class="fa fa-trash"></em>
                                </button>
                              </td>
                            </tr>
                            <tr *ngIf="!selectedContacts || selectedContacts.length === 0" class="alert-row">
                                <td colspan="7">
                                    <div class="alert alert-primary text-center" role="alert">
                                        <div class="iq-alert-icon text-center">
                                            <i class="ri-information-line"></i>
                                        </div>
                                        <div class="iq-alert-text">{{'NOUVEAU_COMPTE.COMPTE_CONTACT.NO_CONTACT'|translate}}</div>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                </div>

            </div>

        </fieldset>
        <!-- end contacts -->

        <!-- attachment -->
        <fieldset [hidden]="currentStep?.id !== 4">
            <div>
                <!-- <app-attachment-form></app-attachment-form> -->
                <app-documents [type]="selectedAccountType"></app-documents>
            </div>
        </fieldset>
        <!-- end attachment -->

        <!-- validation -->
        <fieldset [hidden]="currentStep?.id !== 5">
            <div class="alert alert-primary text-center mb-0" role="alert">
                <div class="iq-alert-icon text-center">
                    <i class="ri-information-line"></i>
                </div>
                <div class="iq-alert-text">{{'NOUVEAU_COMPTE.CONFIRM'|translate}}</div>
                <div class="mt-2">
                    <button type="button" class="btn btn-primary btn-sm" [disabled]="loading" (click)="onSubmit()"><em *ngIf="loading" class="fa fa-spinner fa-spin"></em> {{'NOUVEAU_COMPTE.YES_CONFIRM'|translate}}</button>
                </div>
            </div>
        </fieldset>
        <!-- end validation -->

    </div>

    <!-- buttons next/previos -->
    <div *ngIf="currentStep" class="mt-4">
        <button type="button" class="btn btn-primary btn-sm float-right" (click)="onChangeStep(currentStep.id + 1)" [disabled]="currentStep.id === steps.length">{{'NOUVEAU_COMPTE.NEXT'|translate}}</button>
        <button type="button" class="btn btn-dark btn-sm float-right mr-3" (click)="onChangeStep(currentStep.id - 1)" [disabled]="currentStep.id === 1">{{'NOUVEAU_COMPTE.PREV'|translate}}</button>
    </div>
    <!-- end buttons next/previos -->

  </div>

</div>
